﻿* Encoding: windows-1252.
* MICS5 TA-03.

* v01 - 2013-06-22.
* v02 - 2014-04-22.
* v03 - 2019-03-14.
*The indicator notes have been swapped, so that note 1 now identifies indicator 12.4 and note 2 indicator 12.3.

* REMARK: Changed <98 to <97 in TA16<98

* menwho have never had an alcoholic drink: 
      TA14=2 or (TA14=1 and TA15=00).

* menwho had at least one alcoholic drink before age 15: 
      TA15>00 and TA15<15.

* menwho have had at least one alcoholic drink at any time during the last one month: 
      TA16>00 and TA16<97.

***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open men dataset.
get file = 'mn.sav'.
sort cases by hh1 hh2 ln.

include "CommonVarsMN.sps".

* Select completed interviews.
select if (MWM17 = 1).

* Weight the data by the men weight.
weight by mnweight.

* Generate nummenvariable.
compute nummen= 1.
variable labels nummen "Number of men".

* Generate indicators.

* menwho have never had an alcoholic drink: TA14=2 or (TA14=1 and TA15=00).
compute noalcohol = 0.
if (MTA14 = 2 or (MTA14=1 and MTA15=0)) noalcohol = 100.
variable labels noalcohol "Never had an alcoholic drink".

* Had at least one drink of alcohol before age 15.
* TA15>00 and TA15<15.
compute alcohol15 = 0.
if (MTA15 > 0 and MTA15 < 15) alcohol15 = 100.
variable labels alcohol15 "Had at least one alcoholic drink before age 15 [1]".

* Had at least one drink of alcohol on one or more days during the last one month.
* TA16>00 and TA16<98.
compute atLeastOne = 0.
if (MTA16 > 0 and MTA16 < 97) atLeastOne = 100.
variable labels atLeastOne "Had at least one alcoholic drink at any time during the last one month [2]".

compute layer0 = 0.
variable labels layer0 "".
value labels layer0 0 "Percentage of men who:".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

* For labels in French uncomment commands below.
* variable labels
      nummen "Nombre d'hommes"
	 /noalcohol "n'ont jamais bu de boissons alcoolisées"
	 /alcohol15 "ont bu de l'alcool avant 15 ans [1]"
	 /atLeastOne "ont bu au moins une boisson alcoolisée n'importe quand durant le mois dernier [2]".
* value labels layer0 0 "Pourcentage d'hommes qui:".


* For labels in Spanish uncomment commands below.
* variable labels
      nummen "Número de hombres"
	 /noalcohol "Nunca han tomado una bebida alcohólica"
	 /alcohol15 "Tomaron al menos una bebida alcohólica antes de los 15 años [1]"
	 /atLeastOne "Tomaron al menos una bebida alcohólica en algún momento durante el último mes [2]".
* value labels layer0 0 "Porcentaje de hombres que:".

ctables
  /vlabels variables =  layer0 total
         display = none
  /table   total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
           layer0 [c] > ( 
             noalcohol [s] [mean '' f5.1] 
           + alcohol15 [s] [mean '' f5.1] 
           + atLeastOne [s] [mean '' f5.1]) 
         + nummen[s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table SR.10.3M: Use of alcohol (men)	"                        
     "Percentage of men age 15-49 years who have never had an alcoholic drink, " +
     "percentage who first had an alcoholic drink before age 15, and percentage of " +
     "men who have had at least one alcoholic drink at any time during the last one month, " + surveyname                        
   caption = 
     "[1] MICS indicator SR.17 - Use of alcohol  before age 15"
     "[2] MICS indicator SR.16 - Use of alcohol"
  .                
     
* Ctables command in French.
* ctables
  /vlabels variables =  layer0 total
         display = none
  /table   total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
           layer0 [c] > ( 
             noalcohol [s] [mean '' f5.1] 
           + alcohol15 [s] [mean '' f5.1] 
           + atLeastOne [s] [mean '' f5.1]) 
         + nummen[s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau SR.10.3M: Consommation d'alcool (hommes)"                        
     "Pourcentage d'hommes de 15-49 ans qui n'ont jamais bu de boissons alcoolisées, pourcentage qui ont bu de l'alcool la première fois avant 15 ans "+
	 "et pourcentage d'hommes qui ont bu au moins une boisson alcoolisée n'importe quand durant le mois dernier, " + surveyname                        
   caption = 
     "[1] Indicateur MICS SR.17 - Consommation d'alcool avant 15 ans"
     "[2] Indicateur MICS SR.16 - Consommation d'alcool"
  . 
  
* Ctables command in Spanish.
* ctables
  /vlabels variables =  layer0 total
         display = none
  /table   total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
           layer0 [c] > ( 
             noalcohol [s] [mean '' f5.1] 
           + alcohol15 [s] [mean '' f5.1] 
           + atLeastOne [s] [mean '' f5.1]) 
         + nummen[s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla SR.10.3M: Consumo de alcohol (hombres)"                        
     "Porcentaje de hombres de 15-49 años que nunca han tomado una bebida alcohólica, porcentaje que tomaron su primera bebida alcohólica antes de los 15 años, "+
	 "y porcentaje de hombres que han tomado al menos una bebida alcohólica en algún momento durante el último mes, " + surveyname                        
   caption = 
     "[1] Indicador MICS SR.17 - Consumo de alcohol antes de los 15 años de edad "
     "[2] Indicador MICS SR.16 - Consumo de alcohol"
  . 	 
new file.
