* Encoding: windows-1252.
* MICS6 SR.7.1W.

* v01 - 2017-09-27.

** Questions WB15-WB16-WB17.


***.

include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.
																
compute sameR = 0.
if (WB15 = 95) sameR = 100.
variable labels sameR  "Never migrated".

do if (sameR = 0).
+ recode WB15 (1 thru 4 = 2) (5 thru 9 = 3) (10 thru 94 = 4) (99 = 9) (else = 1) into WB15r.
+ compute totCR = 1.
end if.

variable labels totCR "Number of women who ever migrated".

variable labels WB15r "Percentage of women, by time of last move".
value labels WB15r 
1 "Less than one year"
2 "1-4 years"
3 "5-9 years"
4 "10 years or more"
9 "Missing".

* Adjust labels to correspond to tab plan.
variable labels WB16 "Percentage of women whose last migration was from:".
value labels WB16
1 "City"
2 "Town"
3 "Rural area"
9 "Missing".

add value labels WB17 99 "Missing".

compute numWomen = 1.
variable labels numWomen "Number of women".
value labels numWomen 1 "".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

compute tot = 100.
variable labels tot "Total".
value labels tot 100 " ".

* producing the layers in tables.
* producing the layers in tables.
compute layer0 = 0.
value labels 
  layer0 0 "Years since most recent migration:".

compute layer1 = 0.
value labels 
  layer1 0 "Most recent migration was from:".

* Labels in French.
 * variable labels sameR  "Vivre continuellement dans la mme rsidence".

 * variable labels totCR "Nombre de femmes ayant chang de rsidence".

 * variable labels WB15r "Percentage of women, by time of last move".
 * value labels WB15r 
1 "Moins d'un an"
2 "1-4 ans"
3 "5-9 ans"
4 "10 ans et plus"
9 "Manquant".
			
* Adjust labels to correspond to tab plan.
 * variable labels WB16 "Percentage of women whose last migration was from:":	".
 * value labels WB16
1 "Ville"
2 "Bourgade"
3 "Milieu rural"
9 "Manquant".

 * add value labels WB17 99 "Manquant".

 * variable labels numWomen "Nombre de femmes".
 * value labels layer1 0 "Percentage of women whose last migration was from:".

* Labels in Spanish.
 * variable labels sameR  "Que han vivido siempre en el mismo lugar".

 * variable labels totCR "Nmero de mujeres que cambiaron su residencia".

 * variable labels WB15r "Porcentaje de mujeres segn tiempo desde su ltima migracin".
 * value labels WB15r 
1 "Menos de un ao"
2 "1-4 aos"
3 "5-9 aos"
4 "10 aos o ms"
9 "Ignorado".
			
* Adjust labels to correspond to tab plan.
 * variable labels WB16 "Porcentaje de mujeres cuya ltima migracin fue desde:".
 * value labels WB16
1 "Ciudad"
2 "Pueblo"
3 "rea rural "
9 "Ignorado".

 * add value labels WB17 99 "Ignorado".

 * variable labels numWomen "Nmero de mujeres".
 * value labels layer1 0 "Porcentaje de mujeres cuya ltima migracin fue desde:".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer0 layer1  WB16 WB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           WB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numWomen[s][sum '' f5.0] +
           layer1 [c] > ( WB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (WB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Table SR.7.1W: Migratory status of women"
    "Percent distribution of women age 15-49 years by migratory status and years since last migration, and percent distribution of women who migrated, by type and place of last residence, " + surveyname
 .		


* Ctables command in French.
*
ctables
  /vlabels variables = layer1  WB16 WB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           WB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numWomen[s][sum '' f5.0] +
           layer1 [c] > ( WB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (WB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tableau SR.7.1W: Status Migratoire des femmes"
     "Percent distribution of women age 15-49 years by migratory status and years since last migration, and percent distribution of women who migrated, by type and place of last residence, " + surveyname
 .																	
		
* Ctables command in Spanish.
*
ctables
  /vlabels variables = layer1  WB16 WB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           WB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numWomen[s][sum '' f5.0] +
           layer1 [c] > ( WB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (WB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title= "Tabla SR.7.1W: Estatus migratorio de las mujeres"
    "Percent distribution of women age 15-49 years by migratory status and years since last migration, and percent distribution of women who migrated, by type and place of last residence, " + surveyname
 .				
 
new file.
