* Encoding: windows-1252.
 * Men who have ever had sex: MSB1>00.

 * Men who had sex in the last 12 months: MSB2<401.

 * Men who had more than one partner in the last 12 months: MSB7=1.

 * Men who had sex in the last 12 months with more than one partner, who used a condom last time they had sex: MSB7=1 and MSB3=1.

 * The denominator for MICS indicator TM.24 is men who had more than one partner in the last 12 month, as shown above (MSB7=1).


***.
* v02 - 2019-03-14.

include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

* include TM.M . 
include 'define\MICS6 - 06 - TM.M.sps' .

compute total = 1.
variable labels total "".
value labels total 1 "Total".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Percentage of women who:".

compute numMen = 1.
variable labels numMen "".
value labels numMen 1 "Number of men".


* For labels in French uncomment commands below.
* value labels 
     numSexEver 1 "Nombre des hommes de 15-49 ans qui ont eu plus d'un partenaire dans les 12 derniers mois"
	/numMen 1 "Nombre des hommes de 15-49 ans"
	/layer 0 "Pourcentage des hommes qui:".
	
* For labels in Spanish uncomment commands below.
* value labels 
     numSexEver 1 "Nmero de hombres de 15-49 aos que tuvieron ms de una pareja sexual en los ltimos 12 meses"
	/numMen 1 "Nmero de hombres de 15-49 aos"
	/layer 0 "Porcentaje de hombres que:".

* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = total numMen layer numMenMorePartners 
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Table TM.10.1M: Sex with multiple partners (men)"
                  "Percentage of men age 15-49 years who ever had sex, percentage who had sex in the last 12 months, " +
                   "percentage who had sex with more than one partner in the last 12 months, and among those who had sex " +
                   "with multiple partners in the last 12 months, the percentage who used a condom at last sex," + surveyname						
   caption=
    "[1] MICS indicator TM.22 - Multiple sexual partnerships"
    "[2] MICS indicator TM.23 - Condom use at last sex among people with multiple sexual partnerships"
  .
  
* ctables command in French.
* ctables
  /vlabels variables = total numMen layer numMenMorePartners numSexEver
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tableau TM.10.1M: Rapports sexuels avec partenaires multiples (hommes)"
                  "Pourcentage des hommes de 15-49 ans qui ont dj eu des rapports sexuels, pourcentage qui ont eu des rapports dans les 12 derniers mois, "+
	"pourcentage qui ont eu des rapports avec plus d'un partenaire dans les 12 derniers mois, nombre moyen de partenaires dans toute la vie pour les hommes qui ont " +
                  "dj eu des rapports et parmi ceux qui ont eu plusieurs partenaires dans les 12 derniers mois, pourcentage de ceux qui ont utilis un condom lors du dernier rapport sexuel " + surveyname																																		 
   caption=
    "[1] Indicateur MICS TM.22 - Rapports sexuels avec plusieurs partenaires "
    "[2] Indicateur MICS TM.23 - Utilisation d'un condom lors du dernier rapport sexuel parmi celles qui ont des partenaires multiples"
   .
  
* ctables command in Spanish.
* ctables
  /vlabels variables = total numMen layer numMenMorePartners numSexEver
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tabla TM.10.1M: Sexo con mltiples parejas (hombres)"
                  "Porcentaje de hombres de 15-49 aos que han tenido sexo alguna vez, porcentaje de los que tuvieron sexo en los ltimos 12 meses, "+
                  "porcentaje de los que tuvieron sexo con ms de una pareja en los 12 ltimos meses, " +
                  "y entre aquellos que tuvieron sexo con mltiples parejas en los ltimos 12 meses, el porcentaje de los que utilizaron condn durante la ltima relacin sexual, " + surveyname						
   caption=
    "[1] Indicador MICS  TM.22 - Parejas sexuales mltiples"
    "[2] Indicador MICS TM.23 - Uso de condn durante la ltima relacin sexual entre personas con parejas sexuales mltiples"
   .

new file.
