﻿* Encoding: windows-1252.
***.
*v2. 2019-03-14.

include "surveyname.sps".


get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

*select women that gave birth in two years preceeding the survey.
select if (CM17 = 1).

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

* select women that gave birth in a health facility.
select if (any(deliveryPlace, 11, 12)).

compute numWomen = 1.
variable labels numWomen "Number of women with a live birth in the last 2 years who delivered the most recent live birth in a health facility".
value labels numWomen 1 "".

recode deliveryPlace (11,12 = copy) (else = 99) into deliveryPlace2.
variable labels deliveryPlace2 "Type of health facility".
value labels deliveryPlace2
  11 "Public"
  12 "Private"
  99 "Other/DK/Missing".

compute stayDuration = 9.
if (PN3U = 1 and PN3N < 6) stayDuration = 1.
if (PN3U = 1 and PN3N >= 6 and PN3N <= 11) stayDuration = 2.
if (PN3U = 1 and PN3N >= 12 and PN3N < 98) stayDuration = 3.
if (PN3U = 2 and (PN3N = 1 or PN3N = 2)) stayDuration = 4.
if (PN3U = 2 and PN3N >= 3 and PN3N < 98) stayDuration = 5.
if (PN3U >= 3 and PN3U < 9) stayDuration = 5.
variable labels stayDuration "Duration of stay in health facility:".
value labels stayDuration
  1 "Less than 6 hours"
  2 "6-11 hours"
  3 "12-23 hours"
  4 "1-2 days"
  5 "3 days or more"
  9 "DK/Missing".

compute more12 = 0.
if any(stayDuration, 3, 4, 5) more12 = 100.
variable labels more12 "12 hours or more [1]".

* For labels in French uncomment commands below.
* variable labels
    numWomen "Nombre de femmes qui ont accouché de leur dernière naissance dans un établissement de santé dans les 2 dernières années"
   /deliveryPlace2 "Type d'établissements de santé"
   /stayDuration "Durée de séjour dans l'établissement de santé:"
   /more12 "12 heures ou plus [1]".
* value labels 
    deliveryPlace2
  11 "Public"
  12 "Privé"
  99 "Autre/NSP/Manquant"
   /stayDuration
  1 "Moins de 6 heures"
  2 "6-11 heures"
  3 "12-23 heures"
  4 "1-2 jours"
  5 "3  jours ou plus"
  9 "NSP/Manquant".

* For labels in Spanish uncomment commands below.
* variable labels
     numWomen "Número de mujeres que tuvieron su último parto en un centro de salud en los últimos dos años"
	/deliveryPlace2 "Tipo de centro de salud"
	/stayDuration "Duración de la estadía en el centro de salud:"
    /more12 "12 horas o más [1]".
* value labels 
    deliveryPlace2
  11 "Pública"
  12 "Privada"
  99 "Otro/NS/Ignorado"
   /stayDuration
  1 "Menos de 6 horas"
  2 "6-11 horas"
  3 "12-23 horas"
  4 "1-2 días"
  5 "3 días o más"
  9 "NS/Ignorado".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + deliveryPlace2 [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
  	       stayDuration [c] [rowpct.validn '' f5.1]
                       + more12 [s] [mean '' f5.1] 
  	     + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=stayDuration total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Table TM.8.1: Post-partum stay in health facility"
     "Percent distribution of women age 15-49 years with a live birth in the last 2 years and delivered the most recent live birth in a health facility by duration of stay in health facility, " + surveyname
  caption=
     "[1] MICS indicator TM.12 - Post-partum stay in health facility"
  .
								
* Ctables command in French.
* ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + deliveryPlace2 [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
  	       stayDuration [c] [rowpct.validn '' f5.1]
                       + more12 [s] [mean '' f5.1] 
  	     + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=stayDuration total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Tableau TM.8.1: Séjour post-partum dans un établissement de santé"
     "Distribution en pourcentage des femmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernières années " +
     "qui ont accouché de leur dernière naissance dans un établissement de santé selon la durée de leur séjour dans cet établissement, " + surveyname
  caption=
     "[1] Indicateur MICS TM.12 - Séjour post-partum en établissement de santé"
  .

* Ctables command in Spanish.
* ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + deliveryPlace2 [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
  	       stayDuration [c] [rowpct.validn '' f5.1]
                       + more12 [s] [mean '' f5.1] 
  	     + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=stayDuration total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Tabla TM.8.1: Estancia post-parto en un centro de salud"
     "Distribución porcentual de mujeres de 15-49 años con un nacido vivo en los últimos dos años que tuvieron su último parto en un centro de salud por duración de la estadía en el centro de salud, " + surveyname
  caption=
     "[1]  Indicador MICS TM.12 - Estancia post-parto en un centro de salud"
  .
  
new file.
