* Encoding: windows-1252.
 * ORS: CA7[A]=1 or CA7[B]=1
Zinc: CA7[C]=1

 * Source of ORS: CA9
Public are CA9=A-H, Private are CA9=I-O, and Other are CA9=P-R and X.
 * Community health providers are CA9=D, E, L, and M.
 * Health facilities or providers are CA9=A-O or W.

 * Source of zinc: CA11
Public are CA11=A-H, Private are CA11=I-O, and Other are CA11=P-R, and X.
 * Community health providers are CA11=D, E, L, and M.
 * Health facilities or providers are CA4E=A-O or W.

 * The denominator for this table is number of children with diarrhoea during the last two weeks: CA1=1														

****.

*v2. 2019-03-14: Denominator label has been changed.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

* Diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable labels  diarrhea "Had diarrhoea in last two weeks".

do if (CA1 = 1).

+ compute dtotal = 1.
*  * "ORS: CA7[A]=1 or CA7[B]=1..
+ compute ors = 0.
+ if (CA7A = 1 or CA7B = 1) ors = 100.
+ variable labels ors "ORS".

 *    Zinc: CA7[C]=1.
+ compute zinc = 0.
+ if (CA7C = 1) zinc = 100.
+ variable labels zinc "Zinc".
end if.

do if (ors = 100).
+ compute orstotal = 1.
 * Source of ORS: CA9.
 * Public are CA9=A-H, Private are CA9=I-O, and Other are CA9=P-R and X.
 * Community health providers are CA9=D, E, L, and M.
 * Health facilities or providers are CA9=A-O.
+ compute CA9public=0.
+ if (CA9A = "A" or CA9B = "B" or CA9C = "C" or CA9D = "D" or CA9E = "E" or CA9H = "H")  CA9public=100.
+ variable labels CA9public "Public".

+ compute CA9private=0.
+ if (CA9I = "I" or CA9J = "J" or CA9K = "K" or CA9L = "L" or CA9M = "M" or CA9O = "O")  CA9private=100.
+ variable labels CA9private "Private".

+ compute CA9other=0.
+ if (CA9P = "P" or CA9Q = "Q" or CA9R = "R" or CA9X = "X")  CA9other=100.
+ variable labels CA9other "Other source".

+ compute CA9community=0.
+ if (CA9D = "D" or CA9E = "E" or CA9L = "L" or CA9M = "M")  CA9community=100.
+ variable labels CA9community "Community health provider [A]".

+ compute CA9health=0.
+ if (CA9public=100 or CA9private=100 or CA9W = "W") CA9health=100.
+ variable labels CA9health "A health facility or provider [B]".
end if.
	

do if (zinc = 100).
+ compute zinctotal = 1.
 * Source of zinc: CA11.
 * Public are CA11=A-H, Private are CA11=I-O, and Other are CA11=P-R, and X.
 * Community health providers are CA11=D, E, L, and M.
 * Health facilities or providers are CA4E=A-O.
+ compute CA11public=0.
+ if (CA11A = "A" or CA11B = "B" or CA11C = "C" or CA11D = "D" or CA11E = "E" or CA11H = "H")  CA11public=100.
+ variable labels CA11public "Public".

+ compute CA11private=0.
+ if (CA11I = "I" or CA11J = "J" or CA11K = "K" or CA11L = "L" or CA11M = "M" or CA11O = "O")  CA11private=100.
+ variable labels CA11private "Private".

+ compute CA11other=0.
+ if (CA11P = "P" or CA11Q = "Q" or CA11R = "R" or CA11X = "X")  CA11other=100.
+ variable labels CA11other "Other source".

+ compute CA11community=0.
+ if (CA11D = "D" or CA11E = "E" or CA11L = "L" or CA11M = "M")  CA11community=100.
+ variable labels CA11community "Community health provider [A]".

+ compute CA11health=0.
+ if (CA11public=100 or CA11private=100 or CA11W = "W") CA11health=100.
+ variable labels CA11health "A health facility or provider [B]".

end if.

compute layer2 = 0.
variable labels layer2 "".
value labels layer2 0 "Percentage of children for whom the source of ORS was:".

compute layer3 = 0.
variable labels layer3 "".
value labels layer3 0 "Percentage of children for whom the source of zinc was:".

compute layer4 = 0.
variable labels layer4 "".
value labels layer4 0 "Health facilities or providers:".

variable labels orstotal "".
value labels orstotal 1 "Number of children who were given ORS as treatment for diarrhoea in the last two weeks".

variable labels zinctotal "".
value labels zinctotal 1 "Number of children who were given zinc as treatment for diarrhoea in the last two weeks".

compute tot = 1.
variable labels  tot "".
value labels tot 1 "Total".

* For labels in French uncomment commands below.
* variable labels
	 CA9public "Publics"
    /CA9private "Privs"
	/CA9other "Autre source"
    /CA9community "Agent de sant communautaire [A]"
    /CA9health "Un tablissement de sant ou un prestataire de sant [B]"
    /CA11public "Publics"
    /CA11private "Privs"
	/CA11other "Autre source"
    /CA11community "Agent de sant communautaire [A]"
    /CA11health "Un tablissement de sant ou un prestataire de sant [B]".
* value labels 
	layer2 0 "Pourcentage d'enfants pour qui la source de SRO tait:"
	/layer3 0 "Pourcentage d'enfants pour qui la source de zinc tait:"
	/layer4 0 "Etablissements de sant ou prestataires de sant"
	/orstotal 1 "Nombre d'enfants qui ont reu des SRO comme traitement contre la diarrhe dans les deux dernires semaines"
	/zinctotal 1 "Nombre d'enfants qui ont reu du zinc comme traitement contre la diarrhe dans les deux dernires semaines".

* For labels in Spanish uncomment commands below.
* variable labels
     CA9public "Pblicos"
    /CA9private "Privados"
    /CA9comunityhp "Proveedor de salud comunitaria [A]"
    /CA9others "Otras fuentes"
    /CA9health "Un centro de salud o proveedor [B]"
    /CA11public "Pblicos"
    /CA11private "Privados"
    /CA11comunityhp "Proveedor de salud comunitaria [A]"
    /CA11others "Otras fuentes"
    /CA11health "Un centro de salud o proveedor [B]".
* value labels 
	layer2 0 "Porcentaje de nios para los cuales la fuente de SRO fue:"
	/layer3 0 "Porcentaje de nios para quienes la fuente de zinc fue:"
	/layer4 0 "Centros de salud o proveedores:"
	/orstotal 1 "Nmero de nios a quienes se les dio SRO como tratamiento para la diarrea en las ltimas dos semanas"
	/zinctotal 1 "Nmero de nios a quienes se les dio zinc como tratamiento para la diarrea en las ltimas dos semanas".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = tot layer2 layer3 layer4 dtotal orstotal zinctotal
         display = none
  /table tot [c]  
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by   
  	layer2 [c] > (layer4 [c] >  (CA9public [s] [mean '' f5.1] + CA9private [s] [mean '' f5.1] + CA9community [s] [mean '' f5.1]) + CA9other [s] [mean '' f5.1] + CA9health [s] [mean '' f5.1] )   + orstotal [c][count '' f5.0] +
                  layer3 [c] > (layer4 [c] > (CA11public [s] [mean '' f5.1] + CA11private [s] [mean '' f5.1] + CA11community [s] [mean '' f5.1]) + CA11other [s] [mean '' f5.1] + CA11health [s] [mean '' f5.1] ) + zinctotal [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
  "Table TC.3.5: Source of ORS and zinc"
                   "Percentage of children age 0-59 months with diarrhoea in the last two weeks who were given ORS, and percentage given zinc, by the source of ORS and zinc, " + surveyname
  caption =
	"[A] Community health providers includes both public (Community health worker and Mobile/Outreach clinic) and private (Non-Government community health worker and Mobile clinic) health facilities"
                  "[B] Includes all public and private health facilities and providers, as well as those who did not know if public or private".

* Ctables command in French.
* ctables
  /vlabels variables = tot layer2 layer3 layer4 dtotal orstotal zinctotal
         display = none
  /table tot [c]  
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by   
  	layer2 [c] > (layer4 [c] >  (CA9public [s] [mean '' f5.1] + CA9private [s] [mean '' f5.1] + CA9community [s] [mean '' f5.1]) + CA9other [s] [mean '' f5.1] + CA9health [s] [mean '' f5.1] )   + orstotal [c][count '' f5.0] +
                  layer3 [c] > (layer4 [c] > (CA11public [s] [mean '' f5.1] + CA11private [s] [mean '' f5.1] + CA11community [s] [mean '' f5.1]) + CA11other [s] [mean '' f5.1] + CA11health [s] [mean '' f5.1] ) + zinctotal [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
   "Tableau TC.3.5: Source des SRO et du zinc"
                   "Pourcentage d'enfants gs de 0-59 mois avec diarrhe dans les deux dernires semaines qui ont reu une SRO et pourcentage qui ont reu du zinc, selon la source de SRO et du zinc,  " + surveyname
  caption =
                  "[A] Agent de sant communautaire inclut,  la fois, les prestataires de sant de sant publics (Agent de sant communautaire, Clinique mobile ou de stratgie avance) et prive (Clinique mobile) des tablissemdents de sant"
                  "[B] Comprend tous les tablissements de sant publics et privs et les fournisseurs, ainsi que ceux qui ne savaient pas si public ou priv. Exclut la pharmacie prive".

* Ctables command in Spanish.
* ctables
  /vlabels variables = tot layer2 layer3 layer4 dtotal orstotal zinctotal
         display = none
  /table tot [c]  
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by   
  	layer2 [c] > (layer4 [c] >  (CA9public [s] [mean '' f5.1] + CA9private [s] [mean '' f5.1] + CA9community [s] [mean '' f5.1]) + CA9other [s] [mean '' f5.1] + CA9health [s] [mean '' f5.1] )   + orstotal [c][count '' f5.0] +
                  layer3 [c] > (layer4 [c] > (CA11public [s] [mean '' f5.1] + CA11private [s] [mean '' f5.1] + CA11community [s] [mean '' f5.1]) + CA11other [s] [mean '' f5.1] + CA11health [s] [mean '' f5.1] ) + zinctotal [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
  "Tabla TC.3.5: Fuentes de SRO y zinc"
  "Porcentaje de nios de  0-59 meses con diarrea in las ltimas 2 semanas quienes recibieron SRO, y porcentaje que se les dio zinc, por fuente de SRO y zinc, " + surveyname
  caption =
    "[A] Proveedores de salud comunitaria incluye instalaciones de salud tanto pblicas (Trabajadores de salud comunitaria y clnicas mviles) como privadas (Trabajador de salud comunitario no gubernamental y clnicas mviles)"
    "[B] Incluye todas las instalaciones y proveedores  pblicos y privados, pero excluye las farmacias privadas".						

new file.