* Encoding: UTF-8.
***.

include "surveyname.sps".

get file = 'hl.sav'.

weight by hhweight.

* include definition of primarySchoolEntryAge .
include 'define/MICS6 - 08 - LN.sps' .

select if (schage = primarySchoolEntryAge).

compute numChildren = 1.
variable labels numChildren  "Number of children of primary school entry age".
value labels numChildren 1 "".

compute firstGrade  = 0.
* Grade 2 of primary school is accepted to take into account early starters.
if (ED10A = 1 and (ED10B  = 1 or ED10B = 2)) firstGrade =  100.
variable labels firstGrade "Percentage of children of primary school entry age entering grade 1 [1]".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

* variable labels 
      firstGrade "Pourcentage d'enfants en ge d'entrer  l'cole primaire entrant en 1ere anne [1]"
	 /numChildren "Nombre d'enfants en ge d'entrer  l'cole primaire".

*  For labels in Spanish uncomment commands below.
* variable labels 
      firstGrade "Pourcentage d'enfants en ge d'entrer  l'cole primaire entrant en 1ere anne [1]"
	 /numChildren "Nombre d'enfants en ge d'entrer  l'cole primaire".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [s] [sum '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Table LN.2.2: Primary school entry"	
    "Percentage of children of primary school entry age entering grade 1 (net intake rate), " + surveyname
   caption=
    "[1] MICS indicator LN.4 - Net intake rate in primary education"
  .	

* Ctables command in French.  
* ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [s] [sum '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Tableau LN.2.2: Entre  l'cole primaire"	
    "Pourcentage d'enfants en ge de frquenter l'cole primaire entrant en premire anne (taux net d'admission), " + surveyname
   caption=
    "[1] Indicateur MICS LN.4 - Taux d'admission net dans l'enseignement primaire"
  .	

* Ctables command in Spanish.  
* ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [s] [sum '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Tabla LN.2.2:  Ingreso en la escuela primaria"	
    "Porcentaje de nios/as en edad de entrar a la escuela primaria que ingresan al grado 1 (tasa neta de admisin), " + surveyname
   caption=
    "[1] MICS indicador LN.4 - Tasa neta de ingreso a la escuela primaria"
  .	

new file.
