﻿* Encoding: windows-1252.
* MICS5 CP-08.

* v01 - 2014-03-14.
* v02 - 2014-04-22.
* added " empty=exclude missing=exclude" under ctables command.
* variable labels before15 and before18 updated.

* Figures in the total row are based on women age 15-49 and 20-49 for marriage before age 15 and age 18, respectively .

***.

include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

compute before15 = 0.
if (WAGEM < 15) before15 = 100.
compute numWomen15_49 = 1.

do if (WB4 >= 20).
+ compute numWomen20_49 = 1.
+ compute before18 = 0.
+ if (WAGEM < 18) before18 = 100.
end if.

value labels 
   numWomen15_49 1 "Number of women age 15-49 years" 
  /numWomen20_49 1 "Number of women age 20-49 years" .
  
variable labels 
    before15    "Percentage of women married before age 15"
   /before18    "Percentage of women married before age 18" .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
    before15    "Pourcentage de femmes mariées avant 15 ans "
   /before18    "Pourcentage de femmes mariées avant 18 ans " .
* value labels 
   numWomen15_49 1 "Nombre de femmes âgées de 15 à 49 ans " 
  /numWomen20_49 1 "Nombre de femmes âgées de 20 à 49 ans " . 
  
*  For labels in Spanish uncomment commands below.
* variable labels 
    before15    "Porcentaje de mujeres casadas antes de los 15 años "
   /before18    "Porcentaje de mujeres casadas antes de los 18 años " .
* value labels 
   numWomen15_49 1 "Número de mujeres de 15-49 años " 
  /numWomen20_49 1 "Número de mujeres de 20-49 años " .  

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = numWomen15_49 numWomen20_49 HH6
           display = none
  /table  total [c]
        + $wage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="All" position=after empty=exclude missing=exclude
  /titles title=
    "Table PR.4.2W: Trends in child marriage (women)"
    "Percentage of women who were first married or entered into a marital union before their 15th and 18th birthday, by area and age groups, " + surveyname
   caption =     
    "na: not applicable"
  .

    * Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = numWomen15_49 numWomen20_49 HH6
           display = none
  /table  total [c]
        + $wage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="Ensemble" position=after empty=exclude missing=exclude
  /titles title=
    "Tableau PR.4.2W: Tendances du mariage d'enfants (femmes)"
    "Pourcentage de femmes qui se sont d'abord mariées ou ont contracté une union conjugale avant leurs 15e et 18e anniversaires, selon la région et le groupe d'âge, " + surveyname
   caption =  
   "na: n'est pas applicable".
   
    * Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = numWomen15_49 numWomen20_49 HH6
           display = none
  /table  total [c]
        + $wage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="All" position=after empty=exclude missing=exclude
  /titles title=
    "Tabla PR.4.2W: Tendencias en el matrimonio infantil (mujeres)"
    "Porcentaje de mujeres que se casaron por primera vez o iniciaron una unión marital antes de los 15 y 18 años de edad, por área y grupos de edad, " + surveyname
   caption =  
   "na: no aplicable".
   
new file.
