* Encoding: windows-1252.
***.
include "surveyname.sps".

get file = "wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

compute anyFgm = 0 .
if (FG3 = 1) anyFgm = 100 .
variable labels anyFgm "Percentage who had any form of FGM [1]".

do if (FG3 = 1) .
+ compute fgmType = 4 .
+ if (FG4 = 1) fgmType = 1 .
+ if (FG5 = 1) fgmType = 2 .
+ if (FG6 = 1) fgmType = 3 .
end if .
variable labels fgmType "Percent distribution of women who had FGM:".
value labels  fgmType 
  1 "Had flesh removed" 
  2 "Were nicked" 
  3 "Were sewn closed" 
  4 "Form of FGM not determined" .
  
if (FG3 = 1) numFgm = 1 .
value labels numFgm 1 "Number of women  who had FGM" .

compute numWomen = 1 .
value labels numWomen 1 "Number of women" .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
    anyFgm "Pourcentage de femmes ayant subi une forme quelconque de MGF/E [1]"
   /fgmType "Pourcentage de femmes ges de 15  49 ans ayant subi des MGF/E:".
* value labels 
    numFgm "Nombre total de femmes ges de 15  49 ans ayant subi des MGF/E"
   /numWomen 1 "Nombre de femmes ges de 15  49 ans"
   /value labels  fgmType 
       1 "Est-ce que la chair a t enleve " 
       2 "Ont t entaills " 
       3 "Ont t cousus " 
       4 "Forme de MGF/E non dtermine".
	   
*  For labels in Spanish uncomment commands below.
* variable labels 
    anyFgm "Porcentaje de mujeres que tuvieron alguna forma de MGF [1]"
   /fgmType "Distribucin porcentual de mujeres de 15-49 aos que tuvieron MGF:".
* value labels 
    numFgm "Nmero de mujeres de edades entre 15 y 49 aos que tuvieron MGF"
   /numWomen 1 "Nmero de mujeres de 15-49 aos"
   /value labels  fgmType 
       1 "Le extirparon carne " 
       2 "Fue cortada " 
       3 "Fue cerrada con costura " 
       4 "Forma de MGF no determinada ".	   

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = numWomen numFgm
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by 
 	       anyFgm [s] [mean '' f5.1]
         + numWomen [c] [count '' f5.0]
         + fgmType [c] [rowpct.validn '' f5.1]
         + numFgm [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=fgmType total=yes
  /slabels position=column visible = no
  /titles title=
     "Table PR.5.1: Female genital mutilation/cutting (FGM) among women"
	 "Percentage of women age 15-49 years by FGM status and percent distribution of women who had FGM by type of FGM, " + surveyname
   caption =
     "[1] MICS indicator PR.9 - Prevalence of FGM among women"
  .

* Ctables command in French.  
* ctables
  /vlabels variables = numWomen numFgm
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by 
 	       anyFgm [s] [mean '' f5.1]
         + numWomen [c] [count '' f5.0]
         + fgmType [c] [rowpct.validn '' f5.1]
         + numFgm [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=fgmType total=yes
  /slabels position=column visible = no
  /titles title=
     "Tableau PR.5.1: Mutilations gnitales fminines / excision (MGF/E) chez les femmes"
	 "Pourcentage de femmes ges de 15  49 ans selon le statut des MGF/E et le pourcentage de femmes ayant subi des MGF/E par type de MGF/E, " + surveyname
   caption =
     "[1] Indicateur MICS PR.9 - Prvalence des MGF/E chez les femmes; Indicateur ODD 5.3.2"
  .


* Ctables command in Spanish.  
* ctables
  /vlabels variables = numWomen numFgm
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by 
 	       anyFgm [s] [mean '' f5.1]
         + numWomen [c] [count '' f5.0]
         + fgmType [c] [rowpct.validn '' f5.1]
         + numFgm [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=fgmType total=yes
  /slabels position=column visible = no
  /titles title=
     "Tabla PR.5.1: Mutilacin genital femenina (MGF) entre mujeres"
	 "Porcentaje de mujeres de 15 a 49 aos por estatus de MGF/C  y distribucin porcentual de mujeres quienes tuvieron MGF/C por tipo de MGF/C, " + surveyname
   caption =
     "[1] Indicador MICS PR.9 - Prevalencia de MGF entre mujeres; Indicador ODS 5.3.2"
  .

new file.
