* Encoding: windows-1252.
***.
include "surveyname.sps".

get file = "wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

*********robbery*************.
compute layer1=0.
value label layer1 0 "Percentage of women for whom last incident of robbery was reported to the police".

compute numWomen1 = 0 .
var labels numWomen1 "Number of women experiencing robbery in the last year".
do if vt1=1 and vt2=1.
+compute numwomen1=1.
+compute robbery1=0.
+compute robbery2=0.
+compute robbery3=0.
end if.

do if (vt8=1 or vt8=2) and vt2=1.
+if vt6<> 1 robbery1=100.
+if vt6=1    robbery2=100.
+compute robbery3=100.
end if.
var label robbery1 Robbery with no weapon.	
var label robbery2 Robbery with any weapon.	
var label robbery3 Any robbery.

*********assault*************.
compute layer2=0.
value label layer2 0 "Percentage of women for whom last incident of assault was reported to the police".

compute numWomen2 = 0 .
var labels numWomen2 "Number of women experiencing assault in the last year".
do if vt9=1 and vt10=1.
+compute numwomen2=1.
+compute assault1=0.
+compute assault2=0.
+compute assault3=0.
end if.

do if (vt19=1 or vt19=2) and vt10=1.
+if vt17<> 1 assault1=100.
+if vt17=1    assault2=100.
+compute assault3=100.
end if.
var label assault1 Assault with no weapon.	
var label assault2 Assault with any weapon.	
var label assault3 Any assault.

compute numWomen3 = 0 .
var labels numWomen3 "Number of women experiencing physical violence of robbery or assault in the last year".
if numwomen1>0 or numwomen2>0 numwomen3=1.


compute reported=$sysmis.
do if numWomen3=1.
+compute reported=0.
+if any(vt8,1,2) reported=100.
end if.
var label reported "Percentage of women for whom the last incident of physical violence of robbery and/or assault in the last year was reported to the police [1][A]".

if vt8=1 and vt2=1 or vt19=1 and vt10=1 report1=1.
if vt8=2 and vt2=1 or vt19=2 and vt10=1 report2=2.
value label report1
1 Self
2 Other.
mrsets   /mcgroup name = $report   label = 'Party reporting crime'  variables = report1 report2.	   
  

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer1 layer2  display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c] 
        + $wage [c]
        + welevel [c]
        + $report[c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by   
      layer1>(
       robbery1[s] [mean  f5.1]+
       robbery2[s] [mean  f5.1]+
       robbery3[s] [mean f5.1])+
       numWomen1[s][sum F6.0]+
      layer2>(
       assault1[s] [mean  f5.1]+
       assault2[s] [mean  f5.1]+
       assault3[s] [mean f5.1])+
       numWomen2[s][sum F6.0]+
       reported[s][mean F5.1]+
       numWomen3[s][sum F6.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Table PR.6.4W: Reporting of robbery and assault in the last one year (women)"											
    "Percentage of women age 15-49 years who experienced robbery in the last year, by type of last robbery, percentage who experienced assault in the last 1 year, " +
     "by type of last assault, and percentage  whose last experience of either robbery or assault was reported to the police, " +surveyname
   caption =
    "[1] MICS indicator PR.13 - Crime reporting; SDG indicator 16.3.1	"								
    "[A] This indicator is constructed using both last incidences of robbery and assault, as respondents may have experienced 1) no incident, 2) one last incident of either robbery or assault or 3) both robbery and assault".

new file.


