﻿* Encoding: windows-1252.
 * Children age 5-17 with health insurance coverage: CB11=1

***.
include "surveyname.sps".

* Open children data file.
get file = 'fs.sav'.

include "CommonVarsFS.sps".

* sort cases in order to perform mergeing.
sort cases HH1 HH2 LN.

* Select interviewed children.
select if (FS17 = 1).

* Weight the data by the 5-17 weight.
weight by fsweight.

compute hinsurance=0.
if CB11=1 hinsurance=100.
variable labels hinsurance "Percentage covered by any health insurance [1]".

compute numFS = 1.
value labels numFS 1 "Number of children age 5-17 years".

do if (CB11=1).
+ compute numFSinsurance = 1.
+ value labels numFSinsurance 1 "Number of children age 5-17 years with health insurance".
+ compute typeinsuranceA=0.
+ compute typeinsuranceB=0.
+ compute typeinsuranceC=0.
+ compute typeinsuranceD=0.
+ compute typeinsuranceX=0.
+if CB12A="A" typeinsuranceA=100.
+if CB12B="B" typeinsuranceB=100.
+if CB12C="C" typeinsuranceC=100.
+if CB12D="D" typeinsuranceD=100.
+if CB12X="X" typeinsuranceX=100.
end if.

variable labels typeinsuranceA "Mutual health organization - Community-based health insurance". 
variable labels typeinsuranceB "Health insurance through employer". 
variable labels typeinsuranceC "Social security". 
variable labels typeinsuranceD "Other privately purchased commercial health insurance".
variable labels typeinsuranceX "Other".	

compute layer1 = 1.
variable labels layer1 "".
value labels layer1 1 "Among children age 5-17 years having health insurance, percentage reported they were insured by".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

add value labels melevel 7 'No information [A]'.

*  For labels in French uncomment commands below.
* variable labels
        typeinsuranceA "Mutuelle de santé / Assurance maladie communautaire"
        /typeinsuranceB "Assurance maladie par l'employeur"
        /typeinsuranceC "Sécurité sociale"
        /typeinsuranceD "Autre assurance santé commerciale privée"
        /typeinsuranceX "Autre"
		/hinsurance "Pourcentage couvert par une assurance maladie [1]".	
* value labels 
		layer1 1 "Parmi les  enfants de 5 à 17 ans ayant une assurance maladie, le pourcentage déclarant qu'elles étaient assurées par"
		/numFSinsurance 1 "Nombre d'enfants de 5 à 17 ans avec une assurance maladie"
		/numFS 1 "Nombre  d'enfants de 5 à 17 ans ".	
* add value labels melevel 7 'Aucune information [A]'.

*  For labels in Spanish uncomment commands below.
* variable labels
        typeinsuranceA "Organización mutual de salud/seguro de salud comunitario"
        /typeinsuranceB "Seguro médico a través del empleador"
        /typeinsuranceC "Seguridad social"
        /typeinsuranceD "Otro seguro médico comercial adquirido de forma privada"
        /typeinsuranceX "Otro"
		/hinsurance "Porcentaje cubierto por cualquier seguro médico[1]".	
* value labels 
		layer1 1 "Entre los niños/as 5-17 años que tienen seguro médico, el porcentaje que reporta estar asegurados por"
		/numFSinsurance 1 "Número de niños/as 5-17 años con seguro médico"
		/numFS 1 "Número de niños/as 5-17 años".
* add value labels melevel 7 'No information [A]'.

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  layer1 numFS numFSinsurance
           display = none
  /table  total [c]
        + HH6 [c]
        + HH7 [c]
        + fsage [c]
        + schoolAttendance [c]
        + melevel [c]
        + fsdisability [c]
        + ethnicity[c]
        + windex5[c]
   by
            hinsurance [s] [mean '' f5.1]
        + numFS [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numFSinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table EQ.2.2: Health insurance coverage (children age 5-17)"
  	 "Percentage of children age 5-17 years with health insurance, and, among those with health insurance, percentage covered by various health insurance plans, " + surveyname
   caption=
     "[1] MICS indicator EQ.2b - Health insurance coverage (children age 5-17)"
     "[A] Children age 15 or higher identified as emancipated"     
.

  * Ctables command in French.  
* ctables
ctables
  /vlabels variables =  layer1 numFS numFSinsurance
           display = none
  /table  total [c]
        + HH6 [c]
        + HH7 [c]
        + fsage [c]
        + schoolAttendance [c]
        + melevel [c]
        + fsdisability [c]
        + ethnicity[c]
        + windex5[c]
   by
            hinsurance [s] [mean '' f5.1]
        + numFS [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numFSinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau EQ.2.2: Couverture d'assurance maladie (enfants de 5 à 17 ans)"
  	 "Percentage of children age 5-17 years with health insurance, and, among those with health insurance, percentage covered by various health insurance plans, " + surveyname
   caption=
     "[1] Indicateur MICS EQ.2b - Couverture d'assurance maladie (enfants de 5 à 17 ans)"
     "[A] Un enfant de 15 ans ou plus identifié comme émancipé"     
  .

  
  * Ctables command in Spanish.  
* ctables
ctables
  /vlabels variables =  layer1 numFS numFSinsurance
           display = none
  /table  total [c]
        + HH6 [c]
        + HH7 [c]
        + fsage [c]
        + schoolAttendance [c]
        + melevel [c]
        + fsdisability [c]
        + ethnicity[c]
        + windex5[c]
   by
            hinsurance [s] [mean '' f5.1]
        + numFS [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numFSinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla EQ.2.2: Cobertura de seguro médico (niños/as de 5-17 años)"
  	 "Percentage of children age 5-17 years with health insurance, and, among those with health insurance, percentage covered by various health insurance plans, " + surveyname
   caption=
     "[1] MICS indicador EQ.2b - Cobertura de seguro médico (niños/as de 5-17 años)"
     "[A] Children age 15 or higher identified as emancipated"      .

new file.
