* Encoding: windows-1252.
 * School tuition or other school related support: For members age 5-24, ED12=1 or ED14=1
***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file= 'hl.sav'.

select if (HL6 >=5 and HL6 <=24) and (ED11=1).

weight by hhweight.

compute EDtuitionsupport=0.
if ED12=1 EDtuitionsupport=100.
variable labels EDtuitionsupport "School tuition support".

compute EDothersupport=0.
if ED14=1 EDothersupport=100.
variable labels EDothersupport "Other school related support".

compute EDsupport=0.
if (EDtuitionsupport=100 or EDothersupport=100) EDsupport=100.
variable labels EDsupport "School tuition or other school related support [1]".

compute none=0.
if (EDsupport=0) none=100.
variable labels none "No school support".

* Children in Public are: ED11=1; Non-public: ED11=2-6. Children for whom the respondent did not know the management sector, 
ED11=8, if present in data, can be shown separately or also suppressed from disaggregate by adding this condition to note B (second sentence): 
"Children out of school, attending ECE or for whom the sector was not known by respondent are not shown.".
do if (ED10A > 0).
+ recode ED11 (11 = 1) (2 thru 6 = 2) (8,9 = 9) (else = sysmis) into schoolManagment.
end if.
variable labels schoolManagment "School management [A]".
1 "Public"
2 "Non-public"
9 "DK/Missing".

recode HL6 (5 thru 9 = 1) (10 thru 14 = 2) (15 thru 19 = 3) (20 thru 24 = 4) into chage.
variable labels chage "Age".
value labels chage 1 "5-9" 2 "10-14" 3 "15-19" 4 "20-24".

compute layer1 = 0.
variable labels layer1 " ".
value labels layer1 0 "Education related financial or material support".

compute nchild = 1.
variable labels  nchild "Number of household members age 5-24 years currently attending school".
value labels nchild 1 " ".

compute total = 1.
variable labels  total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels
    EDtuitionsupport "Soutien aux frais de scolarit"
   /EDothersupport "Autre soutien li  l'cole"
   /EDsupport "Frais de scolarit ou autre soutien li  l'cole [1]"
   /none "Pas de soutien scolaire "
   /nchild "Nombre de membres du mnage gs de 5  24 ans frquentant actuellement l'cole".
* value labels layer1 0 "Soutien financier ou matriel li  l'ducation".
*variable labels schoolManagment "School management [A]".
*1 "Public"
*2 "Non-public"
*9 "DK/Missing".

*  For labels in Spanish uncomment commands below.
* variable labels
    EDtuitionsupport "Apoyo de matrcula escolar"
   /EDothersupport "Otro apoyo relacionado con la escuela"
   /EDsupport "Matrcula escolar u otro apoyo relacionado con la escuela [1]"
   /none "Sin apoyo escolar "
   /nchild "Nmero de miembros del hogar de 5-24 aos de edad que actualmente asisten a la escuela".
* value labels layer1 0 "Apoyo financiero o material relacionado con la educacin".
*variable labels schoolManagment "School management [A]".
*1 "Public"
*2 "Non-public"
*9 "DK/Missing".
   
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HL4 [c]
         + HH6 [c]
         + HH7 [c]
         + chage [c]
         + schoolManagment [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (EDtuitionsupport [s] [mean '' f5.1] 
         + EDothersupport [s] [mean '' f5.1] 
         + EDsupport [s] [mean '' f5.1] )
         + none [s] [mean '' f5.1]
         + nchild [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Table EQ.2.8: Coverage of school support programmes: Members age 5-24 in all households"
    "Percentage of children and young people age 5-24 years in all households who are currently attending school who received support for school tuition " +
    "and other school related support during the current school year, " + surveyname
   caption =
     "[1] MICS indicator EQ.6 - Support for school-related support"
     "[A] School management sector was collected for children attending primary education or higher. Children attending ECE are not shown."	
.

* Ctables command in French.  
* ctables
ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HL4 [c]
         + HH6 [c]
         + HH7 [c]
         + chage [c]
         + schoolManagment [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (EDtuitionsupport [s] [mean '' f5.1] 
         + EDothersupport [s] [mean '' f5.1] 
         + EDsupport [s] [mean '' f5.1] )
         + none [s] [mean '' f5.1]
         + nchild [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tableau EQ.2.8: Couverture des programmes de soutien scolaire: Membres gs de 5  24 ans dans tous les mnages"
    "Pourcentage d'enfants et de jeunes gs de 5  24 ans dans tous les mnages qui frquentent actuellement l'cole et qui ont bnfici d'un soutien pour les frais de scolarit " +
    "et d'autres aides lies  l'cole pendant l'anne scolaire en cours, " + surveyname
   caption =
     "[1] Indicateur MICS EQ.6 - Soutien au soutien scolaire"
     "[A] School management sector was collected for children attending primary education or higher. Children out of school or attending ECE are not shown."	
.

* Ctables command in Spanish.  
* ctables
ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HL4 [c]
         + HH6 [c]
         + HH7 [c]
         + chage [c]
         + schoolManagment [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (EDtuitionsupport [s] [mean '' f5.1] 
         + EDothersupport [s] [mean '' f5.1] 
         + EDsupport [s] [mean '' f5.1] )
         + none [s] [mean '' f5.1]
         + nchild [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tabla EQ.2.8: Cobertura de programas de apoyo escolar: Miembros de 5-24 aos de edad en todos los hogares"
    "Porcentaje de nios y jvenes de 5 a 24 aos de edad en todos los hogares que actualmente asisten a la escuela y que recibieron apoyo para la matrcula escolar " +
    "y otro tipo de apoyo relacionado con la escuela durante el ao escolar actual, " + surveyname
   caption =
     "[1] MICS indicador EQ.6 - Apoyo para el apoyo relacionado con la escuela"
     "[A] School management sector was collected for children attending primary education or higher. Children out of school or attending ECE are not shown."	
.                      
                 
new file.

