﻿* Encoding: windows-1252.
 * Men who think that their life has improved during the last one year: MLS3=1.
 * Men who expect that their life will get better after one year: MLS4=1.
 * Men who think their life has been improving and will continue to improve: (MLS3=1 and MLS4=1).							

***.
include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

* Generate total variable.
compute numMen = 1.
variable labels numMen "Number of men age 15-49 years".

compute lifeimproved=0.
if MLS3=1 lifeimproved=100.
variable labels lifeimproved "Improved during the last one year".

compute lifebetter=0.
if MLS4=1 lifebetter=100.
variable labels lifebetter "Will get better after one year".

compute lifeboth=0.
if (MLS3=1 and MLS4=1) lifeboth=100.
variable labels lifeboth "Both [2]".

do if (mwage <=2).
+compute numMen1524 = 1.
+variable labels numMen1524 "Number of men age 15-24 years".
+ compute lifeimproved1524=0.
+ if MLS3=1 lifeimproved1524=100.
+ compute lifebetter1524=0.
+ if MLS4=1 lifebetter1524=100.
+ compute lifeboth1524=0.
+ if (MLS3=1 and MLS4=1) lifeboth1524=100.
end if.

variable labels lifeimproved1524 "Improved during the last one year".
variable labels lifebetter1524 "Will get better after one year".
variable labels lifeboth1524 "Both [1]".

compute layer1 = 1.
variable labels layer1 "".
value labels layer1 1 "Percentage of men age 15-24 years who think that their life".
compute layer2 = 1.
variable labels layer2 "".
value labels layer2 1 "Percentage of men age 15-49 years who think that their life".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

*  For labels in French uncomment commands below.
* variable labels
	  numMen "Nombre d'hommes âgées de 15-49 ans "
	  /lifeimproved "Amélioré au cours de la dernière année "
      /lifebetter "S'améliorera après un an "
      /lifeboth "Tous les deux [2]"
	  /numMen1524 "Nombre d'hommes âgées de 15-24 ans "
	  /lifeimproved1524 "Amélioré au cours de la dernière année "
      /lifebetter1524 "S'améliorera après un an "
      /lifeboth1524 "Tous les deux [1]".    
* value labels 
	layer1 1 "Pourcentage d'hommes âgées de 15 à 24 ans qui pensent que leur vie "
	/layer2 1 "Pourcentage d'hommes âgées de 15 à 49 ans qui pensent que leur vie ".
	
*  For labels in Spanish uncomment commands below.
* variable labels
	numMen "Número de hombres de 15-49 años"
	/numMen1524 "Número de hombres de 15-24 años"
     /lifeimproved "Mejoraron durante el último año "
      /lifebetter "Estarán mejor dentro de un año "
      /lifeboth "Ambos [2]"
	  /lifeimproved1524 "Mejoraron durante el último año "
      /lifebetter1524 "Estarán mejor dentro de un año "
      /lifeboth1524 "Ambos [1]".    
* value labels 
	layer1 1 "Porcentaje de hombres de 15-24 años de edad que piensan que sus vidas  "
	/layer2 1 "Porcentaje de hombres de 15-49 años de edad que piensan que sus vidas  ".
	
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  total layer1 layer2
         display = none
  /format missing = "na" 
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
     by
          layer1 [c] > 
           (lifeimproved1524 [s] [mean '' f5.1]
        + lifebetter1524 [s] [mean '' f5.1]
        + lifeboth1524 [s] [mean '' f5.1]) 
        + numMen1524 [s] [sum, '', f5.0]
        + layer2 [c] > 
           (lifeimproved [s] [mean '' f5.1]
        + lifebetter [s] [mean '' f5.1]
        + lifeboth [s] [mean '' f5.1])
        + numMen [s] [sum, '', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table EQ.4.2M: Perception of a better life (men)"
     "Percentage of men age 15-49 years who think that their lives improved during the last one year and those who expect that their lives will get better after one year, " + surveyname
   caption=
 "[1] MICS indicator EQ.11a - Perception of a better life among men age 15-24 years" 
 "[2] MICS indicator EQ.11b - Perception of a better life among men age 15-49 years" 
 "na: not applicable".


* Ctables command in French.  
* ctables
  /vlabels variables =  total layer1 layer2
         display = none
  /format missing = "na" 
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
     by
          layer1 [c] > 
           (lifeimproved1524 [s] [mean '' f5.1]
        + lifebetter1524 [s] [mean '' f5.1]
        + lifeboth1524 [s] [mean '' f5.1]) 
        + numMen1524 [s] [sum, '', f5.0]
        + layer2 [c] > 
           (lifeimproved [s] [mean '' f5.1]
        + lifebetter [s] [mean '' f5.1]
        + lifeboth [s] [mean '' f5.1])
        + numMen [s] [sum, '', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau EQ.4.2M: Perception d'une vie meilleure (hommes)"
     "Pourcentage d'hommes âgées de 15 à 49 ans qui pensent que leur vie s'est améliorée au cours de la dernière année et qui s'attendent à ce que leur vie s'améliore après un an, " + surveyname
   caption=
 "[1]  Indicateur MICS EQ.11a - Perception d'une vie meilleure parmi les hommes de 15-24 ans" 
 "[2]  Indicateur MICS EQ.11b - Perception d'une vie meilleure parmi les hommes de 15-49 ans" 
 "na: n'est pas applicable".
 
 
* Ctables command in Spanish.  
* ctables
  /vlabels variables =  total layer1 layer2
         display = none
  /format missing = "na" 
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
     by
          layer1 [c] > 
           (lifeimproved1524 [s] [mean '' f5.1]
        + lifebetter1524 [s] [mean '' f5.1]
        + lifeboth1524 [s] [mean '' f5.1]) 
        + numMen1524 [s] [sum, '', f5.0]
        + layer2 [c] > 
           (lifeimproved [s] [mean '' f5.1]
        + lifebetter [s] [mean '' f5.1]
        + lifeboth [s] [mean '' f5.1])
        + numMen [s] [sum, '', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla EQ.4.2M: Percepción de una vida mejor (hombres)"
     "Porcentaje de hombres de 15-49 años que piensan que sus vidas han mejorado durante el último año y aquellas que esperan que sus vidas mejoren dentro de un año, " + surveyname
   caption=
 "[1]  MICS indicador EQ.11a - Percepción de una vida mejor entre hombres de 15-24 años de edad " 
 "[2]  MICS indicador EQ.11b - Percepción de una vida mejor entre hombres de 15-49 años de edad" 
 "na: no aplicable".

 new file.
