* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open the men data file.
get file = 'mn.sav'.

select if (MWM17 = 1).

weight by mnweight.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute mmyb = 0.
compute myab   = 0.
compute myb   = 0.
compute mab   = 0.
compute mnd   = 0.

if (MWB3M < 97 and MWB3Y < 9997) mmyb = 100.  
if (MWB3M >= 97 and MWB3Y < 9997 and MWB4 < 97) myab = 100.  
if (MWB3M >= 97 and MWB3Y >= 9997 and MWB4 < 97) mab = 100.  
if (MWB3M >= 97 and MWB3Y < 9997 and MWB4 >= 97) myb = 100.  
if (mmyb = 0 and myab = 0 and myb = 0 and mab = 0) mnd=100.
compute mn = 1.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels mn " ".
value labels mn 1 "Number of men" .
variable labels mmyb "Year and month of birth".
variable labels myab "Year of birth and age".
variable labels myb "Year of birth only".
variable labels mab "Age only".
variable labels mnd "Other/DK/Missing".
value labels layer 1 " Completeness of reporting of date of birth and age".

* For labels in French uncomment commands below.
*value labels mn 1 "Nombre d'hommes" .
*variable labels mmyb "Anne et mois de naissance ".
*variable labels myab "Anne de naissance et ge".
*variable labels myb "Anne de naissance seulement ".
*variable labels mab "Age seulement ".
*variable labels mnd "Autres/NSP/Manquant".
*value labels layer 1 " Compltude de l'information sur la date de naissance et l'ge".

* For labels in Spanish uncomment commands below.
*value labels mn 1 "Nmero de hombres" .
*variable labels mmyb "Ao y mes de nacimiento".
*variable labels myab "Ao de nacimiento y edad".
*variable labels myb "Solamente ao de nacimiento".
*variable labels mab "Solamente edad".
*variable labels mnd "Otro/NS/Ignorado".
*value labels layer 1 " Completitud del reporte de fecha de nacimiento y edad".

ctables
  /vlabels variables = layer mn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + mwage [c] by 
    layer [c] > (mmyb [s] [mean '' f5.1] +myab [s] [mean '' f5.1] + myb [s] [mean '' f5.1] +
    mab [s] [mean '' f5.1] + mnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + mn [c] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Table DQ.2.2M: Birth date and age reporting (men)"
   "Percent distribution of men age 15-49 years by completeness of date of birth/age information, " + surveyname.
	
*Ctables in French.
*ctables
  /vlabels variables = layer mn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + mwage [c] by 
    layer [c] > (mmyb [s] [mean '' f5.1] +myab [s] [mean '' f5.1] + myb [s] [mean '' f5.1] +
    mab [s] [mean '' f5.1] + mnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + mn [c] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tableau DQ.2.2M: Rapportage sur la date de naissance et l'ge : hommes"
   "Distribution en pourcentage des hommes de 15-49 ans selon la compltude de l'information sur date de naissance/ge, " + surveyname.

*Ctables in Spanish.
*ctables
  /vlabels variables = layer mn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + mwage [c] by 
    layer [c] > (mmyb [s] [mean '' f5.1] +myab [s] [mean '' f5.1] + myb [s] [mean '' f5.1] +
    mab [s] [mean '' f5.1] + mnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + mn [c] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
  "Tabla DQ.2.2M: Reporte de fecha de nacimiento y edad (hombres)"
   "Distribucin porcentual de hombres de 15-49 aos por completitud de la fecha de nacimiento/informacin de la edad, " + surveyname.

new file.	