﻿* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Observations of places for handwashing.

get file = 'hh.sav'.

select if (HH46 = 1).

weight by hhweight.

recode hw1 (1,2=100)(else=0) into hwash1.
recode hw1 (3=100)(else=0) into hwash2.
recode hw1 (4=100)(else=0) into hwash3.
recode hw1 (5=100)(else=0) into hwash4.
recode hw1 (6=100)(else=0) into hwash5.
variable labels hwash1 "Fixed facility".
variable labels hwash2 "Mobile object".
variable labels hwash3 "Not in the dwelling, plot or yard".
variable labels hwash4 "No permission to see".
variable labels hwash5 "Other reason".

compute layer = 0.
variable labels layer " ".
value labels layer 0 "Handwashing facility".

compute layer1 = 0.
variable labels layer1 " ".
value labels layer1 0 "Observed".

compute layer2 = 0.
variable labels layer2 " ".
value labels layer2 0 "Not observed".

compute total = 1.
variable labels total " ".
value labels total 1 "Number of households".

compute tot1 = 100.
variable labels tot1 "Total".
value labels tot1 100 " ".

compute tot2 = 1.
variable labels tot2 "Total".
value labels tot2 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
         hwash1 "Lieu fixe"
        /hwash2 "Objet Mobile"
        /hwash3 "Pas dans le ménage ou la cour"
        /hwash4 "Pas de permission de voir "
        /hwash5 "Autres raisons".
* value labels layer 0 "Lieux de lavage des mains".
* value labels layer1 0 "Observés".		
* value labels layer2 0 "Pas observés".		  							  
* value labels total 1 "Nombre de ménages".

*  For labels in Spanish uncomment commands below.
* variable labels 
         hwash1 "Instalación fija"
        /hwash2 "Objeto móvil"
        /hwash3 "No hay en la casa, patio o parcela"
        /hwash4 "No dieron permiso para verlo "
        /hwash5 "Otra razón".
* value labels layer 0 "Lugares para lavado de manos".
* value labels layer1 0 "Observados".		
* value labels layer2 0 "No observados".	
* value labels total 1 "Número de hogares".

ctables
  /vlabels variables = total layer layer1 layer2 display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + windex5 [c]  by  
          layer [c] > (
	           layer1 [c] >(hwash1 [s] [mean,'' ,f7.1] + hwash2 [s] [mean,'' ,f7.1]) 
	         + layer2 [c] >(hwash3 [s] [mean,'' ,f7.1] + hwash4 [s] [mean,'' ,f7.1] + hwash5 [s] [mean,'' ,f7.1])
	         )
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Table DQ.4.2: Observation of handwashing facility"  
	"Percent distribution of handwashing facility observed by the interviewers in all interviewed households, "+ surveyname.

* Ctables command in French.  
* ctables
   /vlabels variables = total layer layer1 layer2 display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + windex5 [c]  by  
          layer [c] > (
	           layer1 [c] >(hwash1 [s] [mean,'' ,f7.1] + hwash2 [s] [mean,'' ,f7.1]) 
	         + layer2 [c] >(hwash3 [s] [mean,'' ,f7.1] + hwash4 [s] [mean,'' ,f7.1] + hwash5 [s] [mean,'' ,f7.1])
	         )
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Tableau DQ.4.2: Observation des lieux de lavages des mains"  
	"Distribution en pourcentage des lieux de lavages des mains observés par les enquêteurs dans tous les ménages enquêtés, "+ surveyname.

* Ctables command in Spanish.  
* ctables
   /vlabels variables = total layer layer1 layer2 display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + windex5 [c]  by  
          layer [c] > (
	           layer1 [c] >(hwash1 [s] [mean,'' ,f7.1] + hwash2 [s] [mean,'' ,f7.1]) 
	         + layer2 [c] >(hwash3 [s] [mean,'' ,f7.1] + hwash4 [s] [mean,'' ,f7.1] + hwash5 [s] [mean,'' ,f7.1])
	         )
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Tabla DQ.4.2: Observación de lugares para el lavado de manos"  
	"Distribución porcentual de lugares para lavado de manos observados por los entrevistadores en todos los hogares entrevistados, "+ surveyname.

new file.							


