* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'hl.sav'.

weight by hhweight.

* include definition of primarySchoolEntryAge .
include 'define/MICS6 - 08 - LN.sps' .

* select only children less than 25 years of age, for whom the education information were collected.
select if (HL6 < 25).

select if (schage >= 3 and schage <= 24).

if (ED4 <> 1) ED10A = -1.
if (ED4 <> 1) ED10B = 0.
if (ED9 <> 1) ED10A = -1.
if (ED9 <> 1) ED10B  = 0.
if (ED9 = 1 and (ED10A = 0 or ED10A >=4)) ED10B = 0.
if (ED9 = 1 and (ED10A = 8 or ED10A = 9)) ED10A = 98.
if (ED10B >= 97) ED10B = 98.
if (schage = 24 and HL6 = 25) ED10A = 95.
if (schage = 24 and HL6 = 25) ED10B = 0.
variable labels ED10A "".
variable labels ED10B "".
value labels ED10B 0 " ".
compute total = 1.
value labels total 1 "Number of household members age 3-24 years".
add value labels ED10A 
	 -1 "Not attending school" 
	  0 "Early Childhood Education"
	  1 "Primary school Grade"
	  2 "Lower secondary school Grade"
	  3 "Upper secondary school Grade"
                    4 "Higher than secondary"
                  95 "Not able to determine"
	98 "DK/Missing".
                
add value labels ED10B 98 "DK/Missing".

add value labels schage
24 "24 [A]". 

compute tot1 = 100.
variable labels tot1 "Total".
value labels tot1 100 " ".

formats schage (f5.0).

*  For labels in French uncomment commands below.
* value labels total 1 "Number of household members age 3-24 years".
* add value labels ED10A 
	 -1 "Ne va pas  l'cole" 
                    0 "Aucun/Prscolair"										
	  1 "Niveau primaire Classe"
	  2 "Premier Cycle secondaire Classe"
	  3 "Deuxime Cycle secondaire Classe"
      4 "Plus haut que le secondaire "
     95 "Non dterminer"
	 98 "NSP/manquant".
* add value labels ED10B 98 "NSP/manquant".
 
											   
*  For labels in Spanish uncomment commands below.
* value labels total 1 "Number of household members age 3-24 years".
* add value labels ED10A 
	 -1 "No asisten a la escuela" 
	  0 "Early Childhood Education"
	  1 "Grado de la escuela primaria"
	  2 "Grado de la escuela secundaria baja"
	  3 "Grado de la escuela secundaria alta"
      4 "Mayor a secundaria"
                  95 "Not able to determine"      
	 98 "NS/Ignorado".
* add value labels ED10B 98 "NS/Ignorado".

ctables
 /vlabels variables = ED10A ED10B total display = none
  /table schage [c] by 
	ED10A[c] > ED10B[c][LAYERROWPCT.VALIDN '' f5.1] + tot1 [s] [mean, '', f5.1] + total [c][count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels visible = no    
  /titles title=  "Table DQ.5.1: School attendance by single age" 
    "Distribution of household population age 3-24 years by educational level and and grade attended in the current (or most recent) school year, " + surveyname
  caption = "[A] Those age 25 at the time of interview who were age 24 at beginning of school year are excluded as current attendance was only collected for those age 5-24 at the time of interview".

* Ctables command in French.  
* ctables
  /vlabels variables = ED10A ED10B total display = none
  /table schage [c] by 
	ED10A[c] > ED10B[c][LAYERROWPCT.VALIDN '' f5.1] + tot1 [s] [mean, '', f5.1] + total [c][count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels visible = no  
  /titles title=  "Tableau DQ.5.1:  Frquentation scolaire par anne d'ge" 
    "Distribution de la population ge de 3-24 ans des mnages selon le niveau d'instruction et la classe frquente durant l'anne scolaire en cours (ou la plus rcente), " + surveyname
  caption = "[A] Les personnes ges de 25 ans au moment de l'interview qui taient ges de 24 ans au dbut de l'anne scolaire sont exclues, " +
  "car la frquentation actuelle n'a t recueillie que pour les personnes ges de 5  24 ans au moment de l'interview"
  .

  * Ctables command in Spanish.  
* ctables
  /vlabels variables = ED10A ED10B total display = none
  /table schage [c] by 
	ED10A[c] > ED10B[c][LAYERROWPCT.VALIDN '' f5.1] + tot1 [s] [mean, '', f5.1] + total [c][count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels visible = no  
  /titles title=  "Tabla DQ.5.1: Asistencia escolar por ao simple" 
    "Distribucin de la poblacin de 3-24 aos  de los hogares por nivel educativo y grado al que asisten en el actual (o ms reciente) ao escolar, " + surveyname
  caption = "[A] Las personas con 25 aos en el momento de la entrevista que tenan 24 aos al comienzo del ao escolar no se cuentan como asistiendo. Solo se tienen en cuenta a aquellas que tenan de 5-24 aos en el momento de la entrevista"
  .

 new file.
