* Encoding: windows-1252.

* This data quality table is only produced for surveys that have included a birth history.

include "surveyname.sps".

* Please note that the bh.sav file should be the unimputed.
get file = 'bh.sav'.

weight by wmweight.

compute period = trunc((wdoi-BH4C)/60).
variable labels period "Number of years preceding the survey".
value labels period 0 '0-4' 1 '5-9' 2 '10-14' 3 '15-19'.

select if (BH9U = 1 and BH9N < 99 and period<=3).

compute tot30 = (BH9N<=31).

compute total = 1.
value labels total 1 "Total for the 20 years preceding the survey".
compute tot1 = 1.
value labels tot1 1 "Total 0-30 days".
value labels BH9N 0 "0".
recode BH9N (0 thru 6=100)(7 thru hi=0) into neonat.
variable labels neonat "Percent early neonatal [A]".

*  For labels in French uncomment commands below.
* variable labels 
     period "Nombre d'annes prcdant l'enquete"
	/neonat "Pourcentage nonatal prcoce [A]".
* value labels total 1 "Total pour les 20 annes prcdant l'enqute".
* value labels tot1 1 "Total 0-30 days".														
									   

*  For labels in Spanish uncomment commands below.
* variable labels 
     period "Nmero de aos anteriores a la encuesta"
	/neonat "Porcentaje neonatal temprana [A]".
* value labels total 1 "Total durante los 20 aos anteriores a la encuesta".
* value labels tot1 1 "Total 0-30 dias".	

ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /categories variables = all empty = exclude missing = exclude
  /slabels position = row visible = no
  /titles title=
   "Table DQ.6.3: Reporting of age at death in days" 
   "Distribution of reported deaths under one month of age by age at death in days and the percentage of neonatal deaths reported to occur at ages 06 days, " +
   "among live-born children to women age 15-49 years, by 5-year periods preceding the survey (imputed), " + surveyname
  corner="Age at death (in days)"
  caption=
	"[A] Deaths during the first 7 days (0-6), divided by deaths during the first month (0-30 days)".


* Ctables command in French.  
* ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /categories variables = all empty = exclude missing = exclude
  /slabels position = row visible = no
  /titles title=
   "Table DQ.6.3: Rapportage de l'ge au dces en jours" 
   "Distribution du nombre rapports de dces a moins d'un mois par ge au dces en jours et pourcentage de dces neonatals prcoces rapports " + 
   "etre arrivs aux ges de 06 jours, par priodes de 5 ans prcdent l'enquete (impute), " + surveyname
  corner="Age au dces (en jours)"
  caption=
	"[A] Dces au cours des 7 premiers jours (0-6), divis par les dces au cours du premier mois (0-30 jours)".
	

* Ctables command in Spanish.  
* ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /categories variables = all empty = exclude missing = exclude
  /slabels position = row visible = no
  /titles title=
   "Tabla DQ.6.3: Reporte de edad en das al fallecimiento" 
   "Distribucin de muertes reportadas antes de un mes de edad por edad al fallecimiento en das y el porcentaje de muertes neonatales  " + 
   "ocurridas a la edad de 0-6 das, por periodos quinquenales anteriores a la encuesta (imputados), " + surveyname
  corner="Edad al fallecimiento (das)"
  caption=
	"[A] Muertes durante los primeros 7 das (0-6), divididas por muertes durante el primer mes (0-30 das)".
					
new file.